﻿/**
ホットキー
*/
module nemuxi.negui.input.keyboard.hotkey;

debug(hotkey) import std.stdio: wl = writefln, pl = printf;
debug(hotkey) void main() {}

import win32.windows;

//import nemuxi.base;
import nemuxi.negui.system.base;
import nemuxi.negui.system.controller;
public import nemuxi.negui.input.inputif;
public import nemuxi.negui.input.keyboard.keyboard;
import nemuxi.negui.negui;

class HotKey: Raii, IRaii, IController {
	private {
		NeGui gui;
		HOTKEY_ID Id;
		KEY Key;
		MOD Mod;
		bool Running=false;
	}

	override protected void Kill() {
		if(Running) {
			if(this.stop()) {
				return;
			}

			throw new NeGuiException(Text("止められない＞＜"));
		}
	}

	const HOTKEY_ID id() {
		return Id;
	}

	this(NeGui gui, HOTKEY_ID Id, MOD Mod, KEY Key) {
		super(true);
		this.gui = gui;
		this.Id  = Id;
		this.Mod = Mod;
		this.Key = Key;
	}

	override bool start() {
		Running = gui.startHotKey(Id, Mod, Key);
		
		return Running;
	}
	override bool stop() {
		Running = !gui.stopHotKey(Id);

		return !Running;
	}
	override const bool isRunning() {
		return Running;
	}
}

